Bug 1032222 - virtio - Support for Windows 2012 R2
virtio - Support for Windows 2012 R2
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: virtio-win (Show other bugs)
rawhide
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Ronen Hod
Virtualization Bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 13:03 EST by David Hill
Modified: 2017-04-26 22:36 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 04:56:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Hill 2013-11-19 13:03:23 EST
Description of problem:
virtio disk not supported 

Version-Release number of selected component (if applicable):
Latest 

How reproducible:
Always

Steps to Reproduce:
1. Install Windows 2012R2
2. Try to select a disk for installation
3.

Actual results:
No disks are found

Expected results:
Disk should be found

Additional info:
virtio 0.65
Comment 1 Vadim Rozenfeld 2013-11-19 17:33:49 EST
Hello David,

Could you please provide more information about your setup,
including qemu, and seabios versions, as well as qemu command line.
 
In any case build 65 was not a release build, This problem should be fixed in build 73.

Regards,
Vadim.
Comment 2 Mike Cao 2013-11-19 22:06:58 EST
I do not think it is a virtio-win bug .
Could you show the qemu version to make sure whether it is dup of https://bugzilla.redhat.com/show_bug.cgi?id=1031552 

Mike
Comment 4 Ronen Hod 2013-11-20 04:43:16 EST
In any case, we will update the Fedora drivers soon.
Comment 7 Ronen Hod 2013-11-20 07:10:03 EST
(In reply to Mike Cao from comment #6)
> BTW ,there is no signed drivers for windows 2012 R2

I believe that the 2012 drivers will work for them. Will they?
2012R2 is too new. Sometime soon.
Comment 12 David Hill 2013-11-20 09:31:18 EST
Well, I found a workaround this issue...

1) install Windows 2012R2 with the IDE disk driver
2) Install cloud-init and sysprep the VM
3) copy the image in glance
4) deploy the VM

et voila!  It works.

Seems like the only part that's not working with the "latest" virtio windows drivers is the installation part.


The version qemu/kvm/etc versions we're using are the latest from RHEL 6.4 / rdo havana.
Comment 13 David Hill 2013-11-20 09:34:12 EST
Also, the windows drivers I'm using are the ones in the ISO on http://alt.fedoraproject.org/pub/alt/virtio-win/latest/images/
Comment 14 David Hill 2013-11-20 09:37:06 EST
I'm using virt-install with pretty much no command line (or almost none).  It breaks if I add --disk path=/my_image,bus=virtio,cache=none ...
Comment 16 Cole Robinson 2013-11-20 15:25:53 EST
Updated drivers are pushed now:

https://alt.fedoraproject.org/pub/alt/virtio-win/latest/images/virtio-win-0.1-74.iso
Comment 17 David Hill 2013-11-20 15:47:06 EST
Thank you!  Those drivers fixed my disk drivers issue ...
Comment 18 Alessandro Pilotti 2013-11-21 14:14:27 EST
We generated the official Microsoft Windows Server 2012 R2 Eval OpenStack images using VirtIO 0.1-52 without issues:

http://www.cloudbase.it/ws2012r2

The fully automated procedure to generate them is available here: 

http://www.cloudbase.it/create-windows-openstack-images

Note VirtIO 0.1-65 causes a blue screen when attaching a volume so we had to stick with 0.1-52. 

We're going to test 0.1.74 today and update the images if everything is ok.


Thanks,

Alessandro

Note You need to log in before you can comment on or make changes to this bug.